# Wetland-Hydro-GEE

**Mapping wetland hydrological dynamics using Google Earth Engine (GEE)**

Author: Qiusheng Wu ([https://wetlands.io](https://wetlands.io))

This repository contains Google Earth Engine source code for the following research article published in the journal *Remote Sensing of Environment*.

* **Wu, Q.**, Lane, C.R., Li, X., Zhao, K., Zhou, Y., Clinton, N., DeVries, B., Golden, H.E., & Lang, M.W. (2019). Integrating LiDAR data and multi-temporal aerial imagery to map wetland inundation dynamics on Google Earth Engine. *Remote Sensing of Environment*. 228: 1-13. [https://doi.org/10.1016/j.rse.2019.04.015](https://doi.org/10.1016/j.rse.2019.04.015)

## Source Code

We have developed a GUI application (**Wetland Hydrology Analyst**) for mapping wetland inundation dynamics using multi-temporal aerial imagery and LiDAR data. To access the application, visit this URL: [https://wqs.users.earthengine.app/view/wetland-hydro-gee](https://wqs.users.earthengine.app/view/wetland-hydro-gee)

To view the Google Earth Engine source code for this application, visit this URL: [https://gishub.org/2018-RSE-GEE-Code](https://gishub.org/2018-RSE-GEE-Code)

## Google Earth Engine Interface

![gee](https://wetlands.io/file/images/gee.png)

## Multi-temporal NAIP aerial imagery (1-m) in the Prairie Pothole Region

![naip](https://wetlands.io/file/images/gee-naip.png)

## Comparison of wetland inundation maps

![results](https://wetlands.io/file/images/gee-results.png)
